/*
 * interrupt.h
 *
 *  Created on: Aug 29, 2019
 *      Author: abody
 */

#ifndef INTERRUPT_HANDLERS_H_
#define INTERRUPT_HANDLERS_H_

#include "usart.h"
#include "f4ll_c/dmahelper.h"
#include "f4ll_c/packetusart.h"

void Con_HandleTxDmaIrq(DMAINFO *info, USART_TypeDef *usart);
void Con_HandleUsartIrq(USART_TypeDef *usart);

void Con_PrintStats(char *buffer, uint8_t id,  struct usart_stats *stats, USART_TypeDef *usart, DMAINFO *dmaInfo);

#endif /* INTERRUPT_HANDLERS_H_ */
